<!DOCTYPE html>
<html lang="en">
<head>
   <meta charset="UTF-8">
   <meta http-equiv="X-UA-Compatible" content="IE=edge">
   <meta name="viewport" content="width=device-width, initial-scale=1.0">
   <title>HW1JS</title>
   <script src="./script.js"></script>
</head>
<body>
  <p style="font-size: 25px; letter-spacing: 1px; ">
   var - устаревший вариант; <br>
   let - можно позже менять значение; <br>
   const - невозможно позже изменить значение, выдаст ошибку;
  </p>

 <p style="font-size: 25px; letter-spacing: 1px; ">
  2.  <strong>promt</strong> - модальное окно с текстовым сообщением, туда можно ввести текст или отменить действие. Можно вывести значение в консоль, операцию можно отменить. <br> 
  Возвращает введный текст или null при отказе; 
  <br>
  <strong>confirm</strong>  - без подтверждения пользоваться страницей нельзя или же согласиться с сообщением в модальном окно. При нажатии ОК вернет  - true , При отказе - false;
</p>


<p style="font-size: 25px; letter-spacing: 1px; ">
  3. <strong> Неявный кастинг</strong> - это смена типа в результате чего-то не специально указаного нами.  "1" + 2 = 12. 2 станет тоже строкой из-за конкатенации;
</p> 

</body>
</html>